Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.worklist.portal
Class TakeStepActionActionForm

    java.lang.Object
      org.apache.struts.action.ActionForm
          org.apache.struts.validator.ValidatorForm
              org.apache.beehive.netui.pageflow.internal.BaseActionForm
                  org.apache.beehive.netui.pageflow.FormData
                      com.bea.wli.worklist.portal.TakeStepActionActionForm

All Implemented Interfaces:
  Serializable

    public class TakeStepActionActionForm

extends FormData

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.struts.validator.ValidatorForm
`page, validatorResults`

Fields inherited from class org.apache.struts.action.ActionForm
`multipartRequestHandler, servlet`

Constructor Summary
`TakeStepActionActionForm()`

Method Summary
`String` | `getActionName()`
`String` | `getDescription()`
`PropertyInstanceHolder[]` | `getProperties()`
`String` | `getStepActionName()`
`String` | `getStepName()`
`void` | `setActionName(String actionName)`
`void` | `setDescription(String description)`
`void` | `setProperties(PropertyInstanceHolder[] props)`
`void` | `setStepActionName(String id)`
`void` | `setStepName(String stepName)`

Methods inherited from class org.apache.beehive.netui.pageflow.internal.BaseActionForm
`getAdditionalActionErrors, validate, validateBean`

Methods inherited from class org.apache.struts.validator.ValidatorForm
`getPage, getResultValueMap, getValidatorResults, log, log, reset, setPage, setValidatorResults`

Methods inherited from class org.apache.struts.action.ActionForm
`getMultipartRequestHandler, getServlet, getServletWrapper, reset, setMultipartRequestHandler, setServlet, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TakeStepActionActionForm

    public TakeStepActionActionForm()

Method Detail

### setActionName

    public void setActionName(String actionName)

### getActionName

    public String getActionName()

### setStepActionName

    public void setStepActionName(String id)

### getStepActionName

    public String getStepActionName()

### setStepName

    public void setStepName(String stepName)

### getStepName

    public String getStepName()

### setDescription

    public void setDescription(String description)

### getDescription

    public String getDescription()

### setProperties

    public void setProperties(PropertyInstanceHolder[] props)

### getProperties

    public PropertyInstanceHolder[] getProperties()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD